Upstream information

CVE-2012-0035 at MITRE

Description

Untrusted search path vulnerability in EDE in CEDET before 1.0.1, as used in GNU Emacs before 23.4 and other products, allows local users to gain privileges via a crafted Lisp expression in a Project.ede file in the directory, or a parent directory, of an opened file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 740447 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • emacs >= 24.3-14.44
  • emacs-info >= 24.3-14.44
  • emacs-x11 >= 24.3-14.44
  • etags >= 24.3-14.44
Patchnames:
SUSE Linux Enterprise Desktop 12 GA emacs
SUSE Linux Enterprise Desktop 12 SP1
  • emacs >= 24.3-14.44
  • emacs-info >= 24.3-14.44
  • emacs-x11 >= 24.3-14.44
  • etags >= 24.3-14.44
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA emacs
SUSE Linux Enterprise Desktop 12 SP2
  • emacs >= 24.3-16.32
  • emacs-info >= 24.3-16.32
  • emacs-x11 >= 24.3-16.32
  • etags >= 24.3-16.32
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA emacs
SUSE Linux Enterprise Desktop 12 SP3
  • emacs >= 24.3-19.2
  • emacs-info >= 24.3-19.2
  • emacs-x11 >= 24.3-19.2
  • etags >= 24.3-19.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA emacs
SUSE Linux Enterprise Module for Basesystem 15
  • emacs >= 25.3-1.124
  • emacs-el >= 25.3-1.124
  • emacs-info >= 25.3-1.124
  • emacs-nox >= 25.3-1.124
  • etags >= 25.3-1.124
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA emacs
SUSE Linux Enterprise Module for Desktop Applications 15
  • emacs-x11 >= 25.3-1.124
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA emacs-x11
SUSE Linux Enterprise Server 12
  • emacs >= 24.3-14.44
  • emacs-el >= 24.3-14.44
  • emacs-info >= 24.3-14.44
  • emacs-nox >= 24.3-14.44
  • emacs-x11 >= 24.3-14.44
  • etags >= 24.3-14.44
Patchnames:
SUSE Linux Enterprise Server 12 GA emacs
SUSE Linux Enterprise Server 12 SP1
  • emacs >= 24.3-14.44
  • emacs-el >= 24.3-14.44
  • emacs-info >= 24.3-14.44
  • emacs-nox >= 24.3-14.44
  • emacs-x11 >= 24.3-14.44
  • etags >= 24.3-14.44
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA emacs
SUSE Linux Enterprise Server 12 SP2
  • emacs >= 24.3-16.32
  • emacs-el >= 24.3-16.32
  • emacs-info >= 24.3-16.32
  • emacs-nox >= 24.3-16.32
  • emacs-x11 >= 24.3-16.32
  • etags >= 24.3-16.32
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA emacs
SUSE Linux Enterprise Server 12 SP3
  • emacs >= 24.3-19.2
  • emacs-el >= 24.3-19.2
  • emacs-info >= 24.3-19.2
  • emacs-nox >= 24.3-19.2
  • emacs-x11 >= 24.3-19.2
  • etags >= 24.3-19.2
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA emacs
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • emacs >= 24.3-16.32
  • emacs-el >= 24.3-16.32
  • emacs-info >= 24.3-16.32
  • emacs-nox >= 24.3-16.32
  • emacs-x11 >= 24.3-16.32
  • etags >= 24.3-16.32
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA emacs
openSUSE Leap 15.0
  • emacs >= 25.3-lp150.1.47
  • emacs-info >= 25.3-lp150.1.47
  • emacs-nox >= 25.3-lp150.1.47
  • etags >= 25.3-lp150.1.47
Patchnames:
openSUSE Leap 15.0 GA emacs
openSUSE Leap 42.1
  • emacs >= 24.3-18.7
  • emacs-info >= 24.3-18.7
  • emacs-nox >= 24.3-18.7
  • emacs-x11 >= 24.3-18.7
  • etags >= 24.3-18.7
Patchnames:
openSUSE Leap 42.1 GA emacs
openSUSE Leap 42.2
  • emacs >= 24.3-20.14
  • emacs-info >= 24.3-20.14
  • emacs-nox >= 24.3-20.14
  • emacs-x11 >= 24.3-20.14
  • etags >= 24.3-20.14
Patchnames:
openSUSE Leap 42.2 GA emacs
openSUSE Leap 42.3
  • emacs >= 24.3-26.2
  • emacs-info >= 24.3-26.2
  • emacs-nox >= 24.3-26.2
  • emacs-x11 >= 24.3-26.2
  • etags >= 24.3-26.2
Patchnames:
openSUSE Leap 42.3 GA emacs
openSUSE Tumbleweed
  • emacs >= 25.1-1.1
  • emacs-el >= 25.1-1.1
  • emacs-info >= 25.1-1.1
  • emacs-nox >= 25.1-1.1
  • emacs-x11 >= 25.1-1.1
  • etags >= 25.1-1.1
Patchnames:
openSUSE Tumbleweed GA emacs